DevExpress Universal の互換性

互換性

Component Type
  • ASP.NET WebForms
  • ASP.NET MVC
  • ASP.NET Core
  • .NET WinForms
  • .NET Class
  • .NET Core
  • .NET WPF
  • UWP Controls
  • HTML5
  • JavaScript
  • Angular
  • AngularJS
  • Backbone.JS
  • jQuery
  • Knockout
  • React
  • Vue.js
  • Blazor Components
  • Objective-C Libraries
WinForms Controls
Supported Frameworks
  • .NET 5
  • .NET Core 3.0+
  • .NET Framework 4.5.2+
Supported IDEs
  • Visual Studio 2019
  • Visual Studio 2017
  • Visual Studio 2015
  • Visual Studio 2013
  • Visual Studio 2012
WPF Controls
Supported Frameworks
  • .NET 5
  • .NET Core 3.0+
  • .NET Framework 4.5.2+
Supported IDEs
  • Visual Studio 2019
  • Visual Studio 2017
  • Visual Studio 2015
  • Visual Studio 2013
  • Visual Studio 2012
ASP.NET Controls
Supported Frameworks
  • .NET Framework 4.5.2+
Supported IDEs
  • Visual Studio 2019
  • Visual Studio 2017
  • Visual Studio 2015
  • Visual Studio 2013
  • Visual Studio 2012
MVC Extensions
Supported Frameworks
  • MVC 5+
  • .NET Framework 4.5.2+
Supported IDEs
  • Visual Studio 2019
  • Visual Studio 2017
  • Visual Studio 2015
  • Visual Studio 2013
  • Visual Studio 2012
ASP.NET Core Controls
Supported Frameworks
  • .NET Core 2.0+
  • .NET Framework 4.6.1+
Supported IDEs
  • Visual Studio 2019
  • Visual Studio 2017
Bootstrap ASP.NET Web Forms Controls
Supported Frameworks
  • Bootstrap 5
  • Bootstrap 4
  • Bootstrap 3
  • .NET Framework 4.5.2+
Supported IDEs
  • Visual Studio 2019
  • Visual Studio 2017
  • Visual Studio 2015
  • Visual Studio 2013
  • Visual Studio 2012
Blazor UI Components
Supported Frameworks
  • .NET Core 3.1+ (Server-Side Blazor)
  • .NET Standard 2.1+ (Client-Side Blazor)
Supported IDEs
  • Visual Studio 2019 16.4+
  • Visual Studio Code
HTML JS Technologies
Supported Frameworks
  • .NET Core 3.0+
  • .NET Framework 4.5.2+
Supported IDEs
  • Visual Studio 2019 (excluding deprecated Hybrid Mobile Tools)
  • Visual Studio 2017
  • Visual Studio 2015
Windows 10 Apps Controls
SDK Requirements
  • 16299 or higher
Supported IDEs
  • Visual Studio 2019
  • Visual Studio 2017 v15.4.0+
UWP NETCORE PACKAGE
  • 6.0.1+
Office File API
Supported Frameworks
  • .NET 5
  • .NET Core 3.0+
  • .NET Framework 4.5.2+
  • .NET Standard 2.0+
Supported IDEs
  • Visual Studio 2019
  • Visual Studio 2017
  • Visual Studio 2015
  • Visual Studio 2013
  • Visual Studio 2012
XPO - ORM Library
Supported Frameworks
  • .NET 5
  • .NET Core 3.0+
  • .NET Framework 4.5.2+
Supported IDEs
  • Visual Studio 2019
  • Visual Studio 2017
  • Visual Studio 2015
  • Visual Studio 2013
  • Visual Studio 2012
CodeRush
Supported IDEs
  • Visual Studio 2019
  • Visual Studio 2017
  • Visual Studio 2015